Bug 186819 - Update to audacity 1.3.0beta: requesting reviews
Summary: Update to audacity 1.3.0beta: requesting reviews
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: audacity   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-26 21:44 UTC by Gérard Milmeister
Modified: 2007-11-30 22:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 18:40:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gérard Milmeister 2006-03-26 21:44:01 UTC
I just made the update to audacity 1.3.0beta in CVS (currently FC5 only).
Before I go ahead with building, could someone please take a look
at it.

Comment 1 Michael Schwendt 2006-03-26 22:51:22 UTC
Will have a look.

WRT libmp3lame.so -> libmp3lame.so.0
http://limpet.net/audacity/bugzilla/show_bug.cgi?id=234

Comment 2 Matthew Miller 2006-03-26 23:00:16 UTC
I'm going to update to wxGTK 2.6.3 in devel I think tonight, and FC5 once
wxPython is ready, and FC4 after that goes okay.

Comment 3 Michael Schwendt 2006-03-26 23:04:31 UTC
First test-run, built in a clean FC5 environment without mp3 decoder,
then checking out Help menu and trying to load a .mp3 file afterwards:

$ audacity 

(audacity:24686): Gdk-CRITICAL **: gdk_drawable_get_depth: assertion
`GDK_IS_DRAWABLE (drawable)' failed

(audacity:24686): Gtk-CRITICAL **: gtk_pixmap_set: assertion
`gdk_colormap_get_visual (gtk_widget_get_colormap (GTK_WIDGET (pixmap)))->depth
== gdk_drawable_get_depth (GDK_DRAWABLE (val))' failed
Segmentation fault



Second try:

$ rm -rf ~/.audacity
$ audacity 
Floating point exception


So, apparently it crashes without mp3 support built-in. Compared with
current stable release 1.2.4b in FE5, that one gives an error dialog.

Comment 4 Gérard Milmeister 2006-03-29 15:03:52 UTC
Indeed it shows a very erratic behavior when trying to load
an mp3 file, when mp3 is not compiled in. The first time it
segfaults, another time the CPU jumps to 100%, at still another
time it shows the correct error dialog.
I wonder, if it would not be better to move audacity
completely over to wilma?

Comment 5 Gérard Milmeister 2006-03-29 15:05:15 UTC
WTF, wilma...? livna, I meant, of course :-)

Comment 6 Matthew Miller 2006-03-29 15:08:38 UTC
I really hope that doesn't have to happen.

Comment 7 Gérard Milmeister 2006-05-08 23:41:41 UTC
Any suggestion what to do about this?

Comment 8 Matthew Miller 2006-05-08 23:52:58 UTC
Has this been reported/discussed upstream?


Note You need to log in before you can comment on or make changes to this bug.